uses tools, SysUtils;

var
  i: longint;
  s: string;

begin
  randseed := 26;
  for i := 1 to 50 do
  begin
    s := s + '12';
    add(s);
    if (i mod 5 = 0) then
      s[length(s)] := '3';
    add(s);
  end;
  shuffle;
  done;
end.